from datetime import datetime
from importlib.metadata import version
from avariantas.information.mutations import OrganizedMutations
from avariantas.information.representations import OrganizedRepresentations


class Project:
    def __init__(
        self,
        project_id: str,
        mutations: OrganizedMutations = OrganizedMutations(),
        representations: OrganizedRepresentations = OrganizedRepresentations(),
    ) -> None:
        self._project_id = project_id
        self._avariantas_version = version("avariantas")
        self._organized_mutations = mutations
        self._organized_representations = representations
        self._creation_date = datetime.now()

    @property
    def project_id(self):
        return self._project_id

    @property
    def avariantas_version(self):
        return self._avariantas_version

    @property
    def creation_date(self):
        return self._creation_date

    @property
    def organized_mutations(self):
        return self._organized_mutations

    @property
    def organized_representations(self):
        return self._organized_representations
