from enum import Enum
from avariantas.information.features import Annotation
from avariantas.information.datatags import DataTags


class KnownTags(Enum):
    PRIME = 0


class UntranslatedRegion(Annotation):
    def __init__(
        self,
        prime: int,
        position: int,
        length: int,
        datatags: DataTags = DataTags(),
    ) -> None:
        super().__init__(position, length, datatags)
        self.datatags[KnownTags.PRIME.name] = str(prime)

    @property
    def prime(self):
        return int(str(self.datatags[KnownTags.PRIME.name]))
