from enum import Enum
from avariantas.information.features import Annotation
from avariantas.information.datatags import DataTags


class KnownTags(Enum):
    NAME = 0


class Gene(Annotation):
    def __init__(
        self,
        name: str,
        position: int,
        length: int,
        datatags: DataTags = DataTags(),
    ) -> None:
        super().__init__(position, length, datatags)
        self.datatags[KnownTags.NAME.name] = name

    @property
    def name(self):
        return str(self.datatags[KnownTags.NAME.name])
